## org.omg.CORBA
Interface Object

All Known Implementing Classes:
  ObjectImpl, LocalObject

public interface Object

Method Summary
`Request` `_create_request(Context ctx, java.lang.String operation, NVList arg_list, NamedValue result)`
`Request` `_create_request(Context ctx, java.lang.String operation, NVList arg_list, NamedValue result, ExceptionList exclist, ContextList ctxlist)`
`Object` `_duplicate()`
`DomainManager[]` `_get_domain_managers()`
`Object` `_get_interface_def()`
`InterfaceDef` `_get_interface()` Deprecated. Deprecated by CORBA 2.3
`Policy` `_get_policy(int policy_type)`
`int` `_hash(int maximum)`
`boolean` `_is_a(java.lang.String repositoryIdentifier)`
`boolean` `_is_equivalent(Object other)`
`boolean` `_non_existent()`
`void` `_release()`
`Request` `_request(java.lang.String operation)`
`Object` `_set_policy_override(Policy[] policies, SetOverrideType set_add)`

Method Detail

### _is_a

    public boolean _is_a(java.lang.String repositoryIdentifier)

### _is_equivalent

    public boolean _is_equivalent(Object other)

### _non_existent

    public boolean _non_existent()

### _hash

    public int _hash(int maximum)

### _duplicate

    public Object _duplicate()

### _release

    public void _release()

### _get_interface

    public InterfaceDef _get_interface()

  Deprecated. Deprecated by CORBA 2.3

### _get_interface_def

    public Object _get_interface_def()

### _request

    public Request _request(java.lang.String operation)

### _create_request

    public Request _create_request(Context ctx,
                                   java.lang.String operation,
                                   NVList arg_list,
                                   NamedValue result)

### _create_request

    public Request _create_request(Context ctx,
                                   java.lang.String operation,
                                   NVList arg_list,
                                   NamedValue result,
                                   ExceptionList exclist,
                                   ContextList ctxlist)

### _get_policy

    public Policy _get_policy(int policy_type)

### _get_domain_managers

    public DomainManager[] _get_domain_managers()

### _set_policy_override

    public Object _set_policy_override(Policy[] policies,
                                       SetOverrideType set_add)